using Decal.Interop.Filters;

namespace Decal.Adapter.Wrappers;

public class ByCategoryFilter : WorldObjectCollectionFilter
{
	private int category;

	public int Category
	{
		get
		{
			return category;
		}
		set
		{
			category = value;
		}
	}

	public ByCategoryFilter()
	{
	}

	public ByCategoryFilter(int category)
	{
		this.category = category;
	}

	internal override void ApplyFilter(WorldIterator wi)
	{
		wi.ByCategory(category);
	}

	internal override void ApplyFilter(Decal.Interop.Filters.Vendor ven)
	{
		ven.ByCategory(category);
	}
}
